# Generated by Django 2.2.11 on 2020-07-03 11:11

from django.db import migrations, models
import jsonfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('remo', '0010_update_annotationset_statistics'),
    ]

    operations = [
        migrations.CreateModel(
            name='AgrInstallations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(max_length=50, null=True)),
                ('version', models.CharField(max_length=20, null=True)),
                ('started_at', models.DateTimeField(auto_now_add=True)),
                ('finished_at', models.DateTimeField(null=True)),
                ('successful', models.BooleanField(default=False)),
                ('platform', models.CharField(max_length=50, null=True)),
                ('python', models.CharField(max_length=20, null=True)),
                ('conda', models.CharField(max_length=20, null=True)),
            ],
            options={
                'db_table': 'agr_installations',
            },
        ),
        migrations.CreateModel(
            name='AgrStats',
            fields=[
                ('id', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('uuid', models.CharField(max_length=50, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('n_datasets', models.PositiveIntegerField(default=0)),
                ('dataset_stats', jsonfield.fields.JSONField(null=True)),
                ('annotation_set_stats', jsonfield.fields.JSONField(null=True)),
            ],
            options={
                'db_table': 'agr_stats',
            },
        ),
        migrations.CreateModel(
            name='AgrUsage',
            fields=[
                ('id', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('uuid', models.CharField(max_length=50, null=True)),
                ('version', models.CharField(max_length=20, null=True)),
                ('started_at', models.DateTimeField(null=True)),
                ('overall_duration', models.DurationField(null=True)),
                ('actual_usage', models.DurationField(null=True)),
                ('synced_check', models.IntegerField(default=-1)),
            ],
            options={
                'db_table': 'agr_usage',
            },
        ),
        migrations.CreateModel(
            name='LocalStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('srv_id', models.CharField(max_length=50, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('n_datasets', models.PositiveIntegerField(default=0)),
                ('dataset_stats', jsonfield.fields.JSONField(null=True)),
                ('annotation_set_stats', jsonfield.fields.JSONField(null=True)),
                ('synced', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'local_stats',
            },
        ),
        migrations.CreateModel(
            name='LocalUsage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('srv_id', models.CharField(max_length=50, null=True)),
                ('started_at', models.DateTimeField(auto_now_add=True)),
                ('version', models.CharField(max_length=20, null=True)),
                ('last_check_at', models.DateTimeField(null=True)),
                ('n_checks', models.PositiveIntegerField(default=0)),
                ('stopped_at', models.DateTimeField(null=True)),
                ('synced_check', models.IntegerField(default=-1)),
            ],
            options={
                'db_table': 'local_usage',
            },
        ),
    ]
